# gammaln

The logarithm of gamma function.

## Calling Sequence

    y = gammaln(x)

## Arguments

x

  real vector

y

  real vector with same size.

## Description

`gammaln(x)` evaluates the logarithm of gamma function at all the elements of `x`, avoiding underflow and overflow. `x` must be real.

## Examples

    gammaln(0.5)

## See Also

- gamma
- dlgamma

## History

5.4.0
Overloading allowed for list, mlist, tlist and hypermatrix types.